#include <cvirte.h>		
#include <userint.h>
#include "panello grafico ohm.h"

static int panelHandle;

int main (int argc, char *argv[])
{
	if (InitCVIRTE (0, argv, 0) == 0)
		return -1;	/* out of memory */
	if ((panelHandle = LoadPanel (0, "panello grafico ohm.uir",PANEL)) < 0)
		return -1;
	DisplayPanel (panelHandle);
	RunUserInterface ();
	DiscardPanel (panelHandle);
	return 0;
}

int CVICALLBACK panelloohm (int panel, int event, void *callbackData,
		int eventData1, int eventData2)
{
	switch (event)
	{
	
		case EVENT_CLOSE:
			
		QuitUserInterface (0); //chiude l'interfaccia	

			break;
	}
	return 0;
}

int CVICALLBACK tastocalcola (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{

    double tensione;		//contiene la tensione imessa
    double resistenza;			//contiene la resistenza imessa
    double corrente;         //corrente calcolata
	double potenza;   //potenza calcolata
	
	
	switch (event)
	{
		case EVENT_COMMIT:
			
		   	GetCtrlVal (panelHandle, PANEL_TENSIONE, &tensione);
			
			GetCtrlVal (panelHandle, PANEL_RESISTENZA, &resistenza); 
	
	// calcolo con la legge di Ohm la corrente ela potenza
	
			corrente = tensione/resistenza*1000;
			
			SetCtrlVal (panelHandle, PANEL_CORRENTE, corrente);
			
			potenza = tensione*tensione/resistenza*1000;
			
			SetCtrlVal (panelHandle, PANEL_POTENZA, potenza);

			break;
	}
	return 0;
}

int CVICALLBACK tastoreset (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
	{
		case EVENT_COMMIT:
			
			
			SetCtrlVal (panelHandle, PANEL_TENSIONE, 0.00);
			
			SetCtrlVal (panelHandle, PANEL_CORRENTE, 0.00);
						
			SetCtrlVal (panelHandle, PANEL_POTENZA, 0.00);
			
			SetCtrlVal (panelHandle, PANEL_RESISTENZA, 0.00);
			

			break;
	}
	return 0;
}

int CVICALLBACK tastoexit (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
	{
		case EVENT_COMMIT:
			
			QuitUserInterface (0); //chiude l'interfaccia

			break;
	}
	return 0;
}
